<!DOCTYPE html>
<html><head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width,initial-scale=1.0">

<title>thlk.fr - very, very basic shortlinker</title>
<meta name="author" content="Thomas Touhey">
<link rel="author" href="https://thomas.touhey.fr/">
<link rel="icon" type="image/png" href="/favicon.png">
<!--[if IE]>
<link rel="shortcut icon" type="image/ico" href="/favicon.ico">
<![endif]-->

<!-- Stylesheets -->

<link rel="stylesheet" href="{{ url_for('static', filename = 'main.css') }}">
</head><body>
{% if name is not defined %}
<form method="POST">
<input type="hidden" name="csrf_token" value="{{ csrf_token() }}">
{% endif %}
<div class="container">

<div class="content">
<a href="/" class="icon"><h1>
	<img src="{{ url_for('static', filename = 'icon.svg') }}">
</h1></a>

{% if error is defined %}
	<p class="error">{{ error }}</p>
{% elif name is defined %}
	<input type="text" value="{{ url_for('_getlink', name=name, _external=True) }}" disabled="true" id="linktext">
	<button id="copybutton" onclick="copyShorten()">Copy</button>
{% else %}
	<input type="text" name="url">
	<input type="submit" value="Shorten it!">
{% endif %}
</div>

<div class="footer">
	<p>
		Tiny shortlinker provided by <a href="https://thomas.touhey.fr/">Thomas Touhey</a>.
		Contact <a href="mailto:tech@touhey.fr">tech@touhey.fr</a> for reclamations.
	</p>
</div>

</div>
{% if name is not defined %}
</form>
{% endif %}
<script type="text/javascript" src="{{ url_for('static', filename = 'main.js') }}"></script>
</body></html>
